<?php

namespace addons\barcode;

use think\Addons;

/**
 * 条码生成
 */
class Barcode extends Addons {

    /**
     * 插件安装方法
     * @return bool
     */
    public function install() {
        return true;
    }

    /**
     * 插件卸载方法
     * @return bool
     */
    public function uninstall() {
        return true;
    }

    /**
     * 插件启用方法
     * @return bool
     */
    public function enable() {
        return true;
    }

    /**
     * 插件禁用方法
     * @return bool
     */
    public function disable() {
        return true;
    }

    /**
     * 应用初始化
     */
    public function appInit()
    {
        if(!class_exists("\Picqer\Barcode")){
            \think\Loader::addNamespace('Picqer\Barcode', ADDON_PATH . 'barcode' . DS . 'library' . DS . 'Barcode' . DS);
        }
    }
}
